Npm install fails in jitsi-meet

Hi. I’m trying to build the iOS app on macOS Mojave 10.14.6 following this guide: https://github.com/jitsi/jitsi-meet/blob/master/doc/mobile.md

npm install -g iOS-deploy works fine, but when I run npm install I get errors.

The errors are:

11 warnings and 3 errors generated.
make: *** [Release/obj.target/binding/src/binding.o] Error 1
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/Users/myname/jitsi-meet/node_modules/node-gyp/lib/build.js:262:23)
gyp ERR! stack at ChildProcess.emit (events.js:203:13)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:272:12)
gyp ERR! System Darwin 18.7.0
gyp ERR! command “/usr/local/Cellar/node/12.8.1/bin/node” “/Users/myname/jitsi-meet/node_modules/node-gyp/bin/node-gyp.js” “rebuild” “–verbose” “–libsass_ext=” “–libsass_cflags=” “–libsass_ldflags=” “–libsass_library=”
gyp ERR! cwd /Users/myname/jitsi-meet/node_modules/node-sass
gyp ERR! node -v v12.8.1
gyp ERR! node-gyp -v v3.8.0
gyp ERR! not ok
Build failed with error code: 1
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules/fsevents):
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 install: node install
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! node-sass@4.10.0 postinstall: node scripts/build.js
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-sass@4.10.0 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/myname/.npm/_logs/2019-08-16T09_47_21_800Z-debug.log

Any ideas how to fix this? The full debug log can be found here: https://ufile.io/wfjyo5ql

It seems to be a Node / npm error. Can you please try to use Node 10 instead? It’s the current LTS release and the one most of us use for development.

1 Like

Thanks, that fixed it!